
/** SVG path for the WaterDrop */
export const WATER_DROP = `
    M32.5 81
    C14.5507 81 0 66.4493 0 48.5
    C0 36.0386 7.01334 25.2153 17.3082 19.7619
    L23.099 15.2872
    C26.2982 12.815 28.6157 9.42709 30.2725 5.73911
    C30.9542 4.22189 32.5 0 32.5 0
    C32.5 0 34.0458 4.22192 34.7275 5.73914
    C36.3843 9.42712 38.7018 12.8151 41.901 15.2872
    L47.6918 19.7619
    C57.9867 25.2153 65 36.0387 65 48.5001
    C65 66.4493 50.4492 81 32.5 81Z
`;

/** SVG path for the icon inside the WaterDrop */
export const LESSON_ICON = `
    M34.577,26.227 C34.332,26.343 34.049,26.338 33.803,26.227 C31.498,25.171 29.006,24.618 26.479,24.610 C23.341,24.599 20.263,
    25.430 17.535,27.000 C14.959,25.518 12.828,24.684 9.085,24.610 C6.160,24.551 3.542,25.151 0.915,26.438 C0.757,26.372 0.402,
    26.418 0.282,26.297 C0.199,26.213 0.057,25.978 -0.000,25.875 L-0.000,2.393 C2.726,0.592 5.474,0.051 8.451,0.002 C11.618,
    -0.050 14.441,0.524 17.465,2.393 C20.171,0.614 22.985,0.035 25.986,0.002 C29.161,-0.033 32.281,0.681 35.000,2.322 L35.000,
    25.805 C34.910,25.989 34.763,26.139 34.577,26.227 ZM31.901,4.080 C29.502,3.265 26.957,2.977 24.437,3.236 C21.980,3.489 19.606,
    4.256 17.465,5.486 L17.465,23.977 C19.654,22.729 22.073,21.940 24.577,21.657 C27.037,21.378 29.526,21.593 31.901,22.289
    L31.901,4.080 ZM24.507,18.001 C22.630,18.193 20.800,18.691 19.085,19.477 L19.085,16.946 C20.784,16.308 22.558,15.906 24.366,
    15.751 C26.299,15.585 28.241,15.704 30.141,16.102 L30.141,18.352 C28.294,17.926 26.393,17.808 24.507,18.001 ZM24.577,13.712
    C22.700,13.904 20.870,14.403 19.155,15.188 L19.155,12.657 C20.855,12.019 22.628,11.617 24.437,11.462 C26.370,11.296 28.312,
    11.415 30.211,11.814 L30.211,14.064 C28.364,13.637 26.463,13.519 24.577,13.712 ZM24.507,9.564 C22.630,9.756 20.800,10.255
    19.085,11.040 L19.085,8.509 C20.784,7.871 22.558,7.469 24.366,7.314 C26.299,7.148 28.241,7.267 30.141,7.666 L30.141,9.915
    C28.294,9.489 26.393,9.371 24.507,9.564 Z
`;

/**
 * Object containing the necessary paths for the branch
 * CURVED_BRANCH - the SVG path for the curved branch
 * SEPARATED_LINE - SVG path for a simple line, completing the line, check design
 */
export const TOPIC_BRANCH = {
    CURVED_BRANCH: `
        M28.4301 1.55353
        L17.4301 1.55353
        C9.14578 1.55353 2.43005 8.26926 2.43005 16.5535
        L2.43005 55.0535
    `,
    SEPARATED_LINE: `
        M40.4301 1.55353
        L32.4301 1.55353Z
    `,
};

/**
 * SVG path for a line unit completing the curved branch when a topic is extended in the menu
 * This will be added multiple times depending on the number of children topics.
 * TODO Generate height dynamically
 */
export const EXTENSION_LINE = `
    M2.4301 2.55353
    L2.4301 40.55353
`;
